FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000866FL52.2 Subprogram FLUC (CONV)public2017-03-22 09:142017-09-28 23:28
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.14 
Target Version5.1.16Fixed in Version5.1.16 
Summary0000866: Add table support to convert based on colums between CSV files and FB datasets
DescriptionAdd a new component to split records (rows/line) in columns. This support requires binary blobs, strings, integer and float data types and the conversion between different representations.

The goal is to read a CSV file and present a COPYBOOK structure (FB) on the record interface, supporting all the COMP, BCD style datatypes of COBOL and vice versa in order to be able to convert files containing records with strings and binary numbers.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000824assignedFalk Reichbott Extend table support for IMS/DB2 unload formats (more than one table format per file) 
related to 0000867assignedFalk Reichbott Add column encryption to table support 
related to 0000782resolvedFalk Reichbott Support of conversion of tables, CSV files and FB datasets 

-  Notes
(0001128)
Falk Reichbott (administrator)
2017-09-28 23:28

* First version of table support (FB<->CSV<->VB)
 ** A record can now split in several columns
 ** Each column are parted with different methods (fix length, length field, binary delimiter or CSV entry)
 ** Each column are assigned with a certain data type (binary, string, integer, float)
 ** Each data type supports different kinds of external representations (character set, endianness, BCD, ...)
 ** You must describe the table at read and you can use auto formatting at write
 ** You can remove and or reorder or add columns at write based on logical names
 ** You can handle more than one table per file by different row specifications
 ** This version of table support contains an unlimited amount of pre-/post processing steps
 ** No processors available yet, but with the next revision column encryption is planed
 ** This version of table support is prepared for tables in hierarchical formats (TLV (e.g. ASN-1), TVD (e.g. SWIFT), XML (e.g. SEPA))
 *** Support of Tag-Value-Delimiter text files like swift is planed for the next revision
 *** Support of XML files like SEPA are planed for the after next revision
 ** You can activate an end of table handling to write the tables of one source to different files

- Issue History
Date Modified Username Field Change
2017-03-22 09:14 Falk Reichbott New Issue
2017-03-22 09:14 Falk Reichbott Status new => assigned
2017-03-22 09:14 Falk Reichbott Assigned To => Falk Reichbott
2017-03-22 09:14 Falk Reichbott Relationship added related to 0000824
2017-03-22 09:17 Falk Reichbott Relationship added related to 0000867
2017-03-24 09:23 Ulrich Schwab Description Updated View Revisions
2017-05-10 13:44 Falk Reichbott Relationship added related to 0000782
2017-09-28 23:28 Falk Reichbott Note Added: 0001128
2017-09-28 23:28 Falk Reichbott Status assigned => resolved
2017-09-28 23:28 Falk Reichbott Fixed in Version => 5.1.16
2017-09-28 23:28 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker